%{?python_enable_dependency_generator}

%global modname javabridge

Name:           python-%{modname}
Version:        1.0.18
Release:        1%{?dist}
Summary:        Python wrapper for the Java Native Interface

License:        MIT
URL:            https://github.com/LeeKamentsky/python-javabridge
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{modname}-rhino-noversion.patch
#Patch1:         %%{modname}-cython-level3.patch

%global _description\
The javabridge Python package makes it easy to start a Java virtual machine (JVM)\
from Python and interact with it. Python code can interact with the JVM using a\
low-level API or a more convenient high-level API.

%description
%_description
An python module which provides a convenient example.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
BuildRequires:  java-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-numpy
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  rhino
Requires:       rhino
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
%_description

%prep
%autosetup -p1
# unbundle
find . -name \*.jar -print -delete
ln -s %{_javadir}/rhino.jar %{modname}/jars

%build
%py3_build
%{__python3} setup.py build_sphinx
find docs/_build -name .\* -print -delete

%install
%py3_install

%check
export PYTHONPATH=tests-install:%{buildroot}%{python3_sitelib}
%{__python3} setup.py develop --install-dir=tests-install
%{__python3} setup.py nosetests

# Note that there is no %%files section for the unversioned python module
%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%doc README.rst
%doc docs/_build/html
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/

%changelog
* Sat May 11 2019 Raphael Groner <projects.rg@smart.ms> - 1.0.18-1
- initial
